@echo off
verify on
cd /d %~dp0%
set t=%time: =0%
set BACKUP_DATE=%date:~6,4%%date:~3,2%%date:~0,2%%t:~0,2%%t:~3,2%%t:~6,2%
if not exist "NEW\jre" goto launcher
  set /p oldVersion=<jre\version.appup
  set /p newVersion=<NEW\jre\version.appup
  set backupdir=OLD\jre-%oldVersion%-%BACKUP_DATE%
  echo Update jre version %oldVersion% to %newVersion% old jre keep in "%backupdir%"
  if not exist "OLD" mkdir OLD
  xcopy /I /S /Q jre %backupdir%
  rmdir /S /Q jre
  move /Y NEW\jre jre
:launcher
if not exist "NEW\launcher" goto end
  set /p oldVersion=<launcher\version.appup
  set /p newVersion=<NEW\launcher\version.appup
  set backupdir=OLD\launcher-%oldVersion%-%BACKUP_DATE%
  echo Update launcher version %oldVersion% to %newVersion% old launcher keep in "%backupdir%"
  if not exist "OLD" mkdir OLD
  move /Y @NAME@.exe launcher\@NAME@.exe
  move /Y launcher "%backupdir%"
  move /Y NEW\launcher launcher
  del /F /Q launcher\*.sh
  move /Y launcher\@NAME@.exe @NAME@.exe
:end
if exist NEW\jre rmdir /S /Q NEW\jre
if exist NEW\launcher rmdir /S /Q NEW\launcher
start @NAME@.exe
